On 21:04 Sat 01 Dec     , Robert Buchholz (rbu) wrote:
> 1.1                  media-tv/freevo/freevo-1.7.4.ebuild
> 
> file : 
> http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-tv/freevo/freevo-1.7.4.ebuild?rev=1.1&view=markup
> plain: 
> http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-tv/freevo/freevo-1.7.4.ebuild?rev=1.1&content-type=text/plain

>               use dvd && ! (built_with_use media-libs/xine-lib directfb) \
>                       && ewarn "media-libs/xine-lib was not built with 
> directfb support"
>               ! (built_with_use media-video/mplayer directfb) \
>                       && ewarn "media-video/mplayer was not built with 
> directfb support"
>               if ! (built_with_use media-libs/libsdl directfb) ; then
>                       eerror "media-libs/libsdl was not built with directdb 
> support"
>                       eerror "Please re-emerge libsdl with the directfb use 
> flag"
>                       die "directfb use flag specified but no support in 
> libsdl and others"
>               fi
>       fi

There's no reason to use subshells for these checks, and more checks I cut.

Thanks,
Donnie
-- 
[EMAIL PROTECTED] mailing list

Reply via email to